using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using bahnplan.web.database;
using LinqToDB.Data;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Hosting;
using Microsoft.Extensions.Logging;

namespace bahnplan.web {
	public class Program {
		public static void Main(string[] args) {
			DataConnection.DefaultSettings = new Database.Settings();
			LinqToDB.Common.Configuration.Linq.AllowMultipleQuery = true;
			Directory.CreateDirectory(Variables.TicketDir);
			CreateHostBuilder(args).Build().Run();
		}

		public static IHostBuilder CreateHostBuilder(string[] args) =>
			Host.CreateDefaultBuilder(args).ConfigureWebHostDefaults(webBuilder => { webBuilder.UseStartup<Startup>(); });
	}
}